Get Device Status
curl --request GET \
--url https://api.example.com/api/v1/devices/{device_id}/statusimport requests
url = "https://api.example.com/api/v1/devices/{device_id}/status"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/api/v1/devices/{device_id}/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "<string>",
"backend_status": "<string>",
"phone_number": "<string>",
"name": "<string>",
"message_logging_enabled": true,
"total_messages_sent": 123,
"total_messages_received": 123,
"total_messages_delivered": 123,
"total_messages_read": 123,
"total_messages_failed": 123,
"last_connected_at": "2023-11-07T05:31:56Z",
"last_health_check_at": "2023-11-07T05:31:56Z",
"proxy_enabled": false,
"connection_hint": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}devices
Get Device Status
Return live connection status for a device.
GET
/
api
/
v1
/
devices
/
{device_id}
/
status
Get Device Status
curl --request GET \
--url https://api.example.com/api/v1/devices/{device_id}/statusimport requests
url = "https://api.example.com/api/v1/devices/{device_id}/status"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/api/v1/devices/{device_id}/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "<string>",
"backend_status": "<string>",
"phone_number": "<string>",
"name": "<string>",
"message_logging_enabled": true,
"total_messages_sent": 123,
"total_messages_received": 123,
"total_messages_delivered": 123,
"total_messages_read": 123,
"total_messages_failed": 123,
"last_connected_at": "2023-11-07T05:31:56Z",
"last_health_check_at": "2023-11-07T05:31:56Z",
"proxy_enabled": false,
"connection_hint": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Headers
Path Parameters
Response
Successful Response
Response with account connection status.